package docar.archive.document;

/**
 * 파일 형식(file format) 열거형.
 * 
 * @author "Sunny Kwak"
 */
public enum Format {
	// Adobe PDF
	PDF("pdf"),
	// Microsoft Word
	Word("doc,docx"),
	// Microsoft PowerPoint
	PowerPoint("ppt,pptx"),
	// Microsoft Excel
	Excel("xls,xlsx"),
	// Text
	Text("txt"),
	// Hyper Text Markup Language
	HTML("html,htm"),
	// Extensible Markup Language
	XML("xml");

	private String extensions;

	Format(String extensions) {
		this.extensions = extensions;
	}

	public String[] getExtensions() {
		return extensions.split(",");
	}
}
